%define svnrev 839
%define nm_version 0.7.0

Name: NetworkManager-gnome
Version: 0.7.0
Release: alt1.svn.r%svnrev.M41.7
License: GPL v2 or later
Group: Graphical desktop/GNOME
Summary: GNOME applications for use with NetworkManager
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: nm-applet-%version.tar.gz
Source1: nm-applet.desktop
Patch0: nm-applet-no-icon-fix.patch
Patch1: alt-create-auto-wired.patch
Patch2: nm-applet-alt-no-checkbutton.patch
Patch3: nm-applet-alt-settings-ppp.patch

Requires: NetworkManager >= %nm_version
Requires: NetworkManager-glib >= %nm_version
Requires: hal >= 0.5.0
Requires: libnotify >= 0.3
Requires: gnome-keyring
Requires: libpolkit >= 0.6
Requires: dbus-tools-gui

Provides: NetworkManager-client

BuildPreReq: NetworkManager-glib libdbus-devel libdbus-glib libGConf-devel libgtk+2-devel libhal-devel intltool libgnomeui-devel libtool libpolkit-devel

# Automatically added by buildreq on Tue Apr 22 2008
BuildRequires: libGConf-devel libglade-devel libgnome-keyring-devel libnotify-devel libwireless-devel
BuildRequires: NetworkManager-devel = %nm_version
BuildRequires: NetworkManager-glib-devel = %nm_version

%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%prep
%setup -n nm-applet-%version
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2

%build
%autoreconf
%configure \
    --with-notify \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
install -Dm 0644 %SOURCE1 %buildroot/%_datadir/applications/nm-applet.desktop
install -Dm 0644 %SOURCE1 %buildroot/%_datadir/autostart/nm-applet.desktop
%find_lang nm-applet

%post
# Touch gtk-icon-theme directory to make sure the change is noticed,
# even if gtk-update-icon-cache fails for some reason.
# touch --no-create %_iconsdir/hicolor
#if [ -x %_bindir/gtk-update-icon-cache ]; then
#  gtk-update-icon-cache -q %_iconsdir/hicolor || :
#fi
%update_menus
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "nm-applet requires running messagebus service." >&2
fi

%postun
#touch --no-create %_iconsdir/hicolor
#if [ -x %_bindir/gtk-update-icon-cache ]; then
#  gtk-update-icon-cache -q %_iconsdir/hicolor || :
#fi
%clean_menus

%files -f nm-applet.lang
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING
%_bindir/*
%_datadir/nm-applet
%_iconsdir/hicolor/*/apps/*.png
%_sysconfdir/dbus-1/system.d/nm-applet.conf
%_sysconfdir/xdg/autostart/nm-applet.desktop
%_datadir/autostart/nm-applet.desktop
%_datadir/applications/nm-applet.desktop

%changelog
* Mon Dec 01 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r839.M41.7
- hide 'System setting' checkbutton instead disable
- save ppp settings (close #18058)

* Mon Dec 01 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r839.M41.6
- create auto wired connection if needed
- disable 'System setting' checkbutton

* Tue Nov 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r839.M41.5
- svn revision 839: 
	Accept both prefix and netmask in the conection editor's IPv4 page (close #17228)

* Fri Oct 10 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.4
- fix 'no icon' bug  

* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.3
- autostarting in KDE 

* Mon Sep 08 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.0-alt1.svn.r838.M41.2
- don't call gtk-update-icon-cache in %%post{,un}

* Fri Sep 05 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.1
- port to M41 

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r838
- new svn snapshot
- spec updated

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080722
- new svn snapshot (797)
- .desktop file is added (applet can start from the menu now)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- new svn snapshot (730)
- spec post/postun sections fixed

* Tue Apr 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080428
- new svn snapshot (705)
- spec cleanup

* Tue Apr 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080419
- initial build
